searchData={"items":[{"type":"task","title":"mix workspace.new","doc":"Creates a new workspace project.\n\nIt expects the path of the project as an argument.\n\n    $ mix workspace.new PATH [--module MODULE] [--app APP]\n\nA workspace at the given `PATH` will be created. The The\napplication name and module name will be retrieved\nfrom the path, unless `--module` or `--app` is given.","ref":"Mix.Tasks.Workspace.New.html"},{"type":"task","title":"Options - mix workspace.new","doc":"* `--app` - the name of the workspace\n\n  * `--module` - the name of the base mix workspace module in\n    the generated skeleton\n\nIn most cases you will not need to pass any options.","ref":"Mix.Tasks.Workspace.New.html#module-options"},{"type":"task","title":"Examples - mix workspace.new","doc":"$ mix workspace.new my_workspace\n\nWould generate the following structure:\n\n```text\nmy_workspace\n├── .formatter.exs\n├── .gitignore\n├── .workspace.exs\n├── README.md\n└── mix.exs\n```\n\nYou can now add normal mix projects within your workspace\nusing the `mix new` command and update your workspace config\nby editing the `.workspace.exs` configuration file.\n\nFor more details check the `Workspace` docs.","ref":"Mix.Tasks.Workspace.New.html#module-examples"},{"type":"extras","title":"Overview","doc":"# mix workspace.new\n\nProvides a `workspace.new` scaffolding tool as an archive.","ref":"readme.html"},{"type":"extras","title":"Installation - Overview","doc":"To install from Hex, run:\n\n```bash\nmix archive.install hex workspace_new\n```\n\nTo build and install it locally, run from within the `workspace_new` path:\n\n```bash\n# remove any existing version\nmix archive.uninstall workspace_new\n\n# install it from the workspace_new folder\nMIX_ENV=prod mix do archive.build, archive.install\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Overview","doc":"Once the archive is installed you can run:\n\n```bash\nmix workspace.new PATH\n```\n\nand it will scaffold an empty workspace under `PATH`.","ref":"readme.html#usage"},{"type":"extras","title":"License - Overview","doc":"Copyright (c) 2023 Panagiotis Nezis, Sportradar\n\n`:workspace_new` is released under the MIT License. See the [LICENSE](LICENSE) file for more\ndetails.","ref":"readme.html#license"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/).\n\n## [v0.1.0](https://github.com/sportradar/elixir-workspace/tree/workspace_new/v0.1.0) (2024-05-13)\n\nInitial release.","ref":"changelog.html"},{"type":"extras","title":"License","doc":"# MIT License\n\nCopyright (c) 2023 Panagiotis Nezis, Sportradar\n\nPermission is hereby granted, free of charge, to any person obtaining\na copy of this software and associated documentation files (the\n\"Software\"), to deal in the Software without restriction, including\nwithout limitation the rights to use, copy, modify, merge, publish,\ndistribute, sublicense, and/or sell copies of the Software, and to\npermit persons to whom the Software is furnished to do so, subject to\nthe following conditions:\n\nThe above copyright notice and this permission notice shall be\nincluded in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND,\nEXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\nMERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND\nNONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE\nLIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\nOF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION\nWITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,50]}}